![Javascript](https://img.shields.io/badge/JavaScript-F7DF1E?style=for-the-badge&logo=javascript&logoColor=black) ![React](https://img.shields.io/badge/React-20232A?style=for-the-badge&logo=react&logoColor=61DAFB) ![npm version](https://img.shields.io/badge/Node.js-43853D?style=for-the-badge&logo=node.js&logoColor=white) ![npm version](https://img.shields.io/github/followers/suvink.svg?style=social&label=Follow&maxAge=2592000)

<p align="center">
  <a href="https://github.com/othneildrew/Best-README-Template">
    <img src="https://github.com/othneildrew/Best-README-Template/raw/master/images/logo.png" alt="Logo" width="80" height="80">
  </a>

  <h3 align="center">Let Me React</h3>

  <p align="center">
    A Simple ReactJS Boilerplate :)
    <br />
    <a href="#Installation"><strong>Explore the docs »</strong></a>
    <br />
    <br />
    <a href="https://github.com/Suvink/let-me-react">View Repo</a>
    ·
    <a href="https://github.com/Suvink/let-me-react/issues">Report Bug</a>
    ·
    <a href="https://github.com/Suvink/let-me-react/issues">Request Feature</a>
  </p>
</p>

## About

Write your React App easily with Let Me React! This is similar to `create-react-app` but LMR will comes with useful packages like `react-router-dom`,`Axios`, `SweetAlert2` pre-configured so that you can dive into writing your code without having to worry about setting up the project.

## Prerequisites

This project requires NodeJS (version 8 or later) and NPM.
[Node](http://nodejs.org/) and [NPM](https://npmjs.org/) are really easy to install.
To make sure you have them available on your machine,
try running the following command.

```sh
$ npm -v && node -v
6.4.1
v8.16.0
```


## Installation

**BEFORE YOU INSTALL:** please read the [prerequisites](#prerequisites)


```sh
$ npm install -g let-me-react
```

After installation, use can use the following command to initialize your project.

```sh
$ let-me-react myproject
```

Alternatively, you can use `npx` to directly use `let-me-react` without installing globally.

```sh
$ npx let-me-react myproject
```

## Usage
After initializing your project, you can use the following scripts.
### Serving the app

```sh
$ npm start
```
Runs the app in the development mode. Open http://localhost:3000 to view it in the browser. The page will hot reload as you make edits.

### Running the tests

```sh
$ npm test
```
Launches the test runner in the interactive watch mode. See the section about <a href="https://reactjs.org/docs/test-utils.html">running tests</a> for more information.
### Building a distribution version

```sh
$ npm run build
```

Builds the app for production and files are saved to the build folder. It bundles your files in production mode and optimizes the build for the best performance. The build is minified and the filenames include hashes.

Your app is ready to be deployed!

## Pre-Configured Plugins
 - <a href="http://bulma.io/">Bulma CSS</a> :  a free, open source framework that provides ready-to-use frontend components that you can easily combine to build responsive web interfaces.
 - <a href="http://bulma.io/">Sweetalert 2</a>: A beautiful, responsive, customizable, accessible (WAI-ARIA) replacement for JavaScript's popup boxes. Zero dependencies.
 - <a href="http://bulma.io/">Axios</a>: an HTTP client library that allows you to make requests to a given endpoint.
 - <a href="http://bulma.io/">Notistack</a>: a notification library which makes it extremely easy to display notifications on your web apps.
 

## Contributing

Contributions are what make the open source community such an amazing place to be learn, inspire, and create. Any contributions you make are **greatly appreciated**.

1. Fork the Project
2. Create your Feature Branch (`git checkout -b feature/AmazingFeature`)
3. Commit your Changes (`git commit -m 'Add some AmazingFeature'`)
4. Push to the Branch (`git push origin feature/AmazingFeature`)
5. Open a Pull Request

## Donations
<a href="https://www.buymeacoffee.com/suvink" target="_blank"><img src="https://cdn.buymeacoffee.com/buttons/v2/default-yellow.png" alt="Buy Me A Coffee" style="height: 30px !important;width: 108px !important;" height="30"></a>

## License
[MIT License](https://andreasonny.mit-license.org/2019) © Suvin Nimnaka
<!-- CONTACT -->
## Contact

Suvin Nimnaka - [@tikirimaarie](https://twitter.com/tikirimaarie) - hello@suvin.me
Project Link: [https://github.com/Suvink/let-me-react](https://github.com/Suvink/let-me-react)

